﻿function responseHandler(res) {
    return eval('(' + res.d + ')');
};

function postQueryParams(params) {
    return JSON.stringify(params); // body data
};

function toggleRow(ele) {
    var $jelement = $j(ele).closest("tr");
    var next = $jelement.next();
    var projectid = $jelement.find("span.projectId").attr("projectId");
    if (next.hasClass("assignments")) {
        $jelement.removeClass("info");
        $j(ele).find("span.expand").removeClass("glyphicon-minus").addClass("glyphicon-plus");
        removeExpantionToSessionStorage(projectid);
        next.remove();
    } else {
        $j(ele).find("span.expand").removeClass("glyphicon-plus").addClass("glyphicon-minus");
        $jelement.addClass("info");
        getAssignments(projectid, $jelement);
        setExpantionToSessionStorage(projectid);

        attachPopover();
    }
};

function statusFormatter(value, row) {
    var retval = value;
    if (value === "Error") {
        retval += ' <a href="javascript:void(0)" style="color:red;" data-toggle="popover" data-placement="top" data-trigger="focus" data-content="' + row.Exception + '"><span class="glyphicon glyphicon-info-sign"></span></a>';
        retval += ' <a href="#" onclick="supportDialog(\'' + row.EpiProjectId + '\');return false;" style="color:red;"><span class="glyphicon glyphicon-envelope"></span></a>';
    }
    return retval;
};

function expandAssignments() {
    if (typeof (Storage) !== "undefined") {
        if (sessionStorage.expandedProjects) {
            var expandedProjects = sessionStorage.expandedProjects;
            var res = expandedProjects.split(",");
            for (var i = 0; i < res.length; i++) {
                $j("#toogle_" + res[i]).click();
            }
        }
    }
};

function setExpantionToSessionStorage(projectid) {
    if (typeof (Storage) !== "undefined") {
        if (sessionStorage.expandedProjects) {
            var expandedProjects = sessionStorage.expandedProjects;
            var res = expandedProjects.split(",");
            var index = res.indexOf(projectid);
            if (index === -1) {
                res.push(projectid);
                sessionStorage.expandedProjects = res.toString();
            }
        } else {
            sessionStorage.expandedProjects = projectid;
        }
    }
};

function removeExpantionToSessionStorage(projectid) {

    if (typeof (Storage) !== "undefined") {

        if (sessionStorage.expandedProjects) {
            var expandedProjects = sessionStorage.expandedProjects;
            var res = expandedProjects.split(",");
            var index = res.indexOf(projectid);
            if (index > -1) {
                res.splice(index, 1);
            }
            sessionStorage.expandedProjects = res.toString();
        }
    }
};

function getAssignments(projectId, $jelement) {
    $j.ajax({
        type: "POST",
        contentType: "application/json; charset=utf-8",
        cache: false,
        async: false,
        url: "../../Services/ProjectWebservice.asmx/GetAssignments",
        data: JSON.stringify({ projectId: projectId }),
        dataType: "text",
        success: function (data) {
            var jsonObject = $j.parseJSON($j.parseJSON(data.match(/({"d.*)/)[1]).d);
            var output = $j.render.AssignmentTmpl(jsonObject, { projectId: projectId });
            $j($j.render.OrderTmpl({ projectId: projectId, output: output })).insertAfter($jelement);
            attachPopover();
        }
    });
};

function runningFormatter(value) {
    return "<span class=\"projectId\" projectId=\"" + value + "\"></span><a class=\"toggle-row\" href=\"javascript:void(0)\" id=\"toogle_" + value + "\"><span class=\"expand glyphicon glyphicon-plus\"></span></a>";
};

function SetReimportStatus(ele, assignmentId, documentId, projectId) {
    $j.ajax({
        type: "POST",
        contentType: "application/json; charset=utf-8",
        cache: false,
        async: false,
        url: "../../Services/ProjectWebservice.asmx/SetReimportStatusOnDocument",
        data: JSON.stringify({ assignmentId: assignmentId, documentId: documentId, projectId: projectId }),
        dataType: "json",
        success: function (data) {
            $j(ele).attr('disabled', 'disabled');
            $j(ele).parent().parent().find("td.statusName").text("Re-importing");
        },
        error: function () {

        }
    });
}

function retryProjectCreation(scProjectId) {
    $j.ajax({
        type: "POST",
        contentType: "application/json; charset=utf-8",
        cache: false,
        async: false,
        url: "../../Services/ProjectWebservice.asmx/RetryProjectCreation",
        data: JSON.stringify({ scProjectId: scProjectId }),
        dataType: "json",
        success: function () {
            alert('Project creation has been restarted.');
            $j('#table').bootstrapTable('refresh');
        },
        error: function () {

        }
    });
}

function AgitoProjectIdFormatter(value) {
    return value === 0 ? "" : value;
};