﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ShowBasket.aspx.cs" Inherits="LanguageWire.EpiServer.Translation.AddOn.ModalWindows.ShowBasketWindow.ShowBasket, LanguageWire.EpiServer.Translation.AddOn" %>

<%@ Import Namespace="EPiServer.Globalization" %>
<%@ Import Namespace="LanguageWire.EpiServer.Translation.AddOn.Business.FrontEndTranslation" %>
<%@ Import Namespace="LanguageWire.EpiServer.Translation.AddOn.ModalWindows.ShowBasketWindow" %>

<%@ Register Src="Step1.ascx" TagPrefix="uc1" TagName="Step1" %>
<%@ Register Src="../Components/Head.ascx" TagPrefix="uc1" TagName="Head" %>
<%@ Register Src="../Components/Header.ascx" TagPrefix="uc1" TagName="Header" %>
<%@ Register TagPrefix="business" Namespace="LanguageWire.EpiServer.Translation.AddOn.ModalWindows.ShowBasketWindow" Assembly="LanguageWire.EpiServer.Translation.AddOn" %>


<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <uc1:Head runat="server" ID="Head" />
    <link href="../Assets/css/show-basket.css" rel="stylesheet" />
</head>
<body>
    <form id="form1" runat="server" style="overflow-x: hidden;">
        <uc1:Header runat="server" ID="Header" />
        <div class="row errorTitle" id="DivServiceIsUnavaliable" style="display: none;">
            <div class="col-xs-12">
                <span>
                    <%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "serviceUnavailable") %>
                </span>
            </div>
        </div>
        <div class="row errorTitle" id="languageMappingNotExistTitle" style="display: none;">
            <div class="col-xs-12">
                <span>
                    <%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "sourceLanguageIsNotMapped") %>
                </span>
            </div>
        </div>
        <div class="container fuelux">

            <div class="wizard">
                <ul class="steps" style="width: 100%; cursor: default !important;">
                    <li role="presentation" class="active" runat="server" id="tabstep1" style="width: 20%;">
                        <%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "contentTab") %>
                        <span class="chevron"></span>
                    </li>
                    <li role="presentation" runat="server" id="tabstep2" style="width: 20%;">
                        <%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "translationTab") %>
                        <span class="chevron"></span>
                    </li>
                    <li role="presentation" runat="server" id="tabstep3" style="width: 20%;">
                        <%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "projectTab") %>
                        <span class="chevron"></span>
                    </li>
                    <li role="presentation" runat="server" id="tabstep4" style="width: 20%;">
                        <%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "verifyTab") %>
                        <span class="chevron"></span>
                    </li>
                    <li role="presentation" runat="server" id="tabstep5" style="width: 20%;">
                        <%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "acceptanceTab") %>
                    </li>
                </ul>
            </div>

            <div class="row" id="progressbar"></div>

            <div class="row" runat="server" id="step1">
                <uc1:Step1 runat="server" ID="ucStep1" />
            </div>

            <div class="row content" runat="server" id="step2">
                <div class="col-xs-12">
                    <div class="panel panel-default">
                        <div class="panel-heading"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "sourceLanguageHeading") %></div>
                        <div class="panel-body">
                            <div class="form-group">
                                <div class="checkbox">
                                    <label>
                                        <asp:CheckBox runat="server" ID="cblSourceLanguage" Enabled="False" Checked="True" />
                                    </label>
                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="panel panel-default">
                        <div class="panel-heading"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "targetLanguagesHeading") %></div>
                        <div class="panel-body">
                            <div class="form-group">
                                <div class="checkbox">
                                    <business:RequiredFieldValidatorForCheckBoxLists CssClass="validationSummary" runat="server" ID="valTargetLanguagesError" ErrorMessage='<%#TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "targetLanguagesValidationMessage") %>' ControlToValidate="cblTargetLanguages" ClientValidationFunction="ValidateModuleList"></business:RequiredFieldValidatorForCheckBoxLists>
                                    <asp:CheckBoxList runat="server" ID="cblTargetLanguages"></asp:CheckBoxList>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row content" runat="server" id="step3">
                <style>
                    .formselect .form-control-feedback {
                        right: 30px !important;
                    }
                </style>

                <div class="col-xs-12">
                    <div class="panel panel-default">
                        <div class="panel-heading"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "projectHeading") %></div>

                        <div class="panel-body form-horizontal">
                            <div class="form-group">
                                <label for="ddlProduct" class="col-sm-2 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "productHeading") %> <span style="color: red;">*</span></label>
                                <div class="col-sm-8 formselect">
                                    <asp:DropDownList ID="ddlProduct" runat="server" CssClass="form-control input-sm">
                                    </asp:DropDownList>
                                </div>
                                <div class="col-xs-2">

                                    <button type="button" tabindex="-1" class="btn btn-sm" data-toggle="popover" data-placement="bottom" data-trigger="focus" title="Product" data-content="<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "productHelperText") %>">
                                        <i class="glyphicon glyphicon-info-sign"></i>
                                    </button>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="tbProjectName" class="col-sm-2 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "projectNameHeading") %> <span style="color: red;">*</span></label>
                                <div class="col-sm-8">
                                    <asp:TextBox runat="server" ID="tbProjectName" ClientIDMode="Static" CssClass="form-control input-sm" placeholder='<%#TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "projectNameHeading") %>'></asp:TextBox>

                                </div>
                                <div class="col-xs-2">

                                    <button type="button" tabindex="-2" class="btn btn-sm" data-toggle="popover" data-placement="bottom" data-trigger="focus" title="Project title" data-content="<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "projectTitleHelperText") %>">
                                        <i class="glyphicon glyphicon-info-sign"></i>
                                    </button>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="ddlTerminology" class="col-sm-2 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "terminologyHeading") %> <span style="color: red;">*</span></label>
                                <div class="col-sm-8 formselect">
                                    <asp:DropDownList ID="ddlTerminology" runat="server" CssClass="form-control input-sm">
                                    </asp:DropDownList>

                                </div>

                                <div class="col-xs-2">

                                    <button type="button" tabindex="-3" class="btn btn-sm" data-toggle="popover" data-placement="top" data-trigger="focus" title="Terminology" data-content="<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "terminologyHelperText") %>">
                                        <i class="glyphicon glyphicon-info-sign"></i>
                                    </button>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="ddlWorkarea" class="col-sm-2 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "workareaHeading") %> <span style="color: red;">*</span></label>
                                <div class="col-sm-8 formselect">
                                    <asp:DropDownList ID="ddlWorkarea" runat="server" CssClass="form-control input-sm">
                                    </asp:DropDownList>

                                </div>

                                <div class="col-xs-2">

                                    <button type="button" tabindex="-4" class="btn btn-sm" data-toggle="popover" data-placement="top" data-trigger="focus" title="Work area" data-content="<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "workAreaHelperText") %>">
                                        <i class="glyphicon glyphicon-info-sign"></i>
                                    </button>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="tbPoReference" class="col-sm-2 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "poHeading") %></label>
                                <div class="col-sm-8">
                                    <asp:TextBox runat="server" ID="tbPoReference" ClientIDMode="Static" CssClass="form-control input-sm"></asp:TextBox>

                                </div>
                                <div class="col-xs-2">

                                    <button type="button" tabindex="-5" class="btn btn-sm" data-toggle="popover" data-placement="top" data-trigger="focus" title="PO reference" data-content="<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "poHelperText") %>">
                                        <i class="glyphicon glyphicon-info-sign"></i>
                                    </button>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="tbAccount" class="col-sm-2 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "invoicingAccountHeading") %> <span style="color: red;">*</span></label>
                                <div class="col-sm-8 formselect">
                                    <asp:DropDownList ID="ddlAccount" runat="server" CssClass="form-control input-sm">
                                    </asp:DropDownList>
                                </div>
                                <div class="col-xs-2">

                                    <button type="button" tabindex="-6" class="btn btn-sm" data-toggle="popover" data-placement="top" data-trigger="focus" title="Invoicing account" data-content="<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "invoicingAccountHelperText") %>">

                                        <i class="glyphicon glyphicon-info-sign"></i>
                                    </button>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="tbDeliveryDate" class="col-sm-2 control-label"><%= TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "deadlineHeading1") %><br />
                                    <%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "deadlineHeading2") %> <span style="color: red;">*</span></label>
                                <div class="col-xs-8 date">
                                    <div class="input-group input-append date" id="datePicker">
                                        <asp:TextBox runat="server" name="date" ID="tbDeliveryDate" ClientIDMode="Static" CssClass="form-control input-sm"></asp:TextBox>
                                        <span class="input-group-addon add-on"><span class="glyphicon glyphicon-calendar"></span></span>

                                    </div>
                                </div>
                                <div class="col-xs-2">

                                    <button type="button" tabindex="-7" class="btn btn-sm" data-toggle="popover" data-placement="top" data-trigger="focus" title="<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "deadlineHelperHeading") %>" data-content="<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "deadlineHelperText") %>">
                                        <i class="glyphicon glyphicon-info-sign"></i>
                                    </button>
                                </div>
                            </div>

                            <div class="form-group">
                                <label for="tbBriefing" class="col-sm-2 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "briefingHeading") %></label>
                                <div class="col-sm-8">
                                    <asp:TextBox runat="server" ID="tbBriefing" ClientIDMode="Static" CssClass="form-control input-sm" Rows="3" TextMode="MultiLine"></asp:TextBox>
                                </div>
                                <div class="col-xs-2">

                                    <button type="button" tabindex="-8" class="btn btn-sm" data-toggle="popover" data-placement="top" data-trigger="focus" title="Briefing" data-content="<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "briefingHelperText") %>">
                                        <i class="glyphicon glyphicon-info-sign"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

            <div class="row content" runat="server" id="step4">

                <div class="col-xs-12">
                    <div class="panel panel-default">
                        <div class="panel-heading"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "verifyHeading") %></div>
                        <div class="panel-body form-horizontal">
                            <div class="col-xs-6">
                                <div class="form-group">
                                    <label class="col-sm-4 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "validatedDocumentCountLabel") %></label>
                                    <div class="col-sm-2">
                                        <p class="form-control-static">
                                            <asp:Label runat="server" ID="lblValidatedDocuments"></asp:Label>
                                        </p>
                                    </div>

                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "wordCountLabel") %></label>
                                    <div class="col-sm-2">
                                        <p class="form-control-static">
                                            <asp:Label runat="server" ID="lblWordCount"></asp:Label>
                                        </p>
                                    </div>

                                </div>
                            </div>
                            <div class="col-xs-6">
                                <div class="form-group">
                                    <label class="col-sm-4 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "sourceLanguageLabel") %></label>
                                    <div class="col-sm-2">
                                        <p class="form-control-static">
                                            <asp:Label runat="server" ID="lblSource"></asp:Label>
                                        </p>
                                    </div>

                                </div>
                                <div class="form-group">
                                    <label class="col-sm-4 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "targetLanguagesLabel") %></label>
                                    <div class="col-sm-2" style="width: 200px; white-space: normal;">
                                        <p class="form-control-static">
                                            <asp:Label runat="server" ID="lblTarget"></asp:Label>
                                        </p>
                                    </div>

                                </div>
                            </div>

                            <div class="col-xs-12">
                                <div class="form-group">
                                    <label class="col-sm-2 control-label"><%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "itemsLabel") %> (<asp:Label runat="server" ID="lblItemCount"></asp:Label>)</label>
                                    <div class="col-sm-10">
                                        <p class="form-control-static">

                                            <asp:Label runat="server" ID="lblItemPaths"></asp:Label>
                                        </p>
                                    </div>

                                </div>

                            </div>
                        </div>

                    </div>
                </div>
            </div>

            <div class="row content" runat="server" id="step5">
                <div class="col-xs-12">
                    <div class="panel panel-default">
                        <div class="panel-body form-horizontal" style="display: block" runat="server">
                            <div class="col-xs-4" style="height: 250px;">
                                <%= ConfirmationText %>
                            </div>
                        </div>
                        <div class="col-xs-2"></div>
                    </div>
                </div>
            </div>

            <div class="row buttonRow">
                <div class="col-xs-12">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <div class="col-xs-11" style="text-align: right">
                                <asp:Button ID="btnBack" UseSubmitBehavior="false" ClientIDMode="Static" class="btn btn-primary" runat="server" Text='<%#TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "buttonBack") %>' OnClick="BtnBackClick" />
                                <asp:Button ID="btnNext" ClientIDMode="Static" class="btn btn-success" runat="server" Text='<%#TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "buttonNext") %>' OnClick="BtnNextClick" />
                                <asp:Button ID="btnFinish" UseSubmitBehavior="false" ClientIDMode="Static" class="btn btn-success" runat="server" Visible="False" Text='<%#TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "buttonFinish") %>' OnClientClick="onCloseBasketClick(); return false;" />
                            </div>
                            <div class="col-xs-1" style="text-align: right">
                                <asp:Button ID="btnCancel" UseSubmitBehavior="false" class="btn btn-default" runat="server" Text='<%#TranslationDictionary.Lookup(TranslationDictionaryDomain.Common, "close") %>' OnClientClick="onCloseBasketClick(); return false;" />
                            </div>
                        </div>

                    </div>
                </div>
            </div>

        </div>
        <script>
            function onCloseBasketClick() {
                $j.ajax({
                    type: 'POST',
                    contentType: 'application/json; charset=utf-8',
                    cache: false,
                    async: true,
                    url: '../../Services/ProjectWebservice.asmx/GetBasketBriefDetails',
                    data:  JSON.stringify({includingTemporaryBasket : false}),
                    dataType: 'json',
                    success: function (data) {
                        var basketBriefDetails = $j.parseJSON(data.d);
                        if (window.parent && window.parent.gadget) {
                            window.parent.gadget.updatePanels(basketBriefDetails.itemsCount, basketBriefDetails.basketLanguage);
                            window.parent.gadget.closeShowBasket();
                        }
                    },
                    error: function () {
                    }
                });
            };

            function ValidateModuleList(source, args) {
                var chkListModules = document.getElementById('<%= cblTargetLanguages.ClientID %>');
                var chkListinputs = chkListModules.getElementsByTagName('input');
                for (var i = 0; i < chkListinputs.length; i++) {
                    if (chkListinputs[i].checked) {
                        args.IsValid = true;
                        return;
                    }
                }
                args.IsValid = false;
            };

            // When a checkbox with a given Agito language is checked, this
            // event handler will check all other checkboxes with same Agito language
            function cblTargetLanguageChecked(obj) {
                if ($j(obj).is(":checked")) {
                    var parent = $j(obj).parent();
                    var data = $j(parent).data();
                    var lang = data.agitolang;
                    $j('input[type=checkbox]').each(function () {
                        var myparent = $j(this).parent();
                        var mydata = $j(myparent).data();
                        if (mydata.agitolang === lang) {
                            $j(this).prop('checked', true);
                        }
                    });
                }
            };

            $j(document).ready(function () {

                attachPopover();

                Date.parseDate = function (input, format) {
                    return moment(input, format).toDate();
                };
                Date.prototype.dateFormat = function (format) {
                    return moment(this).format(format);
                };

                $j('#tbDeliveryDate').datetimepicker({
                    format: '<%=ContentLanguage.PreferredCulture.DateTimeFormat.ToDatepickerFormatString()%>',
                    formatTime: '<%=ContentLanguage.PreferredCulture.DateTimeFormat.ToDatepickerTimeFormatString()%>',
                    formatDate: '<%=ContentLanguage.PreferredCulture.DateTimeFormat.ToDatepickerDateFormatString()%>',
                    minDate: 0,
                    onChangeDateTime: function(dp, $jinput) {
                        $j('#form1').formValidation('revalidateField', 'tbDeliveryDate');
                    }
                });

                $j('#form1').formValidation({
                    framework: 'bootstrap',
                    icon: {
                        valid: 'glyphicon glyphicon-ok',
                        invalid: 'glyphicon glyphicon-remove',
                        validating: 'glyphicon glyphicon-refresh'
                    },
                    button: {
                        selector: '#<%=btnNext.ID%>'
                    },
                    fields: {
                        <%=ddlProduct.ID%>: {
                            validators: {
                                notEmpty: {
                                    message: '<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "validationProductMessage") %>'
                                }
                            }
                        },
                        <%=ddlTerminology.ID%>: {
                            validators: {
                                notEmpty: {
                                    message: '<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "validationTerminologyMessage") %>'
                                }

                            }
                        },

                        <%=ddlWorkarea.ID%>: {
                            validators: {
                                notEmpty: {
                                    message: '<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "validationWorkareaMessage") %>'
                                }

                            }
                        },

                        <%=ddlAccount.ID%>: {
                            validators: {
                                notEmpty: {
                                    message: '<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "validationInvoicingAccountMessage") %>'
                                }

                            }
                        },
                        <%=tbProjectName.ID%>: {
                            validators: {
                                notEmpty: {
                                    message: '<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "validationProjectNameMessage") %>'
                                },
                                stringLength: {
                                    message: '<%=string.Format(TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "validationProjectNameLengthMessage"), MaxProjectNameLength) %>',
                                    max: '<%=MaxProjectNameLength%>'
                                }
                            }
                        },
                        <%=tbDeliveryDate.ID%>: {
                            validators: {
                                date: {
                                    format: '<%=ContentLanguage.PreferredCulture.DateTimeFormat.ToValidationFormatString()%>',
                                    message: '<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "validationDeliveryDateMessage") %>',
                                    //min: new Date().dateFormat('<%=ContentLanguage.PreferredCulture.DateTimeFormat.ToValidationFormatString()%>')
                                },
                                callback: {
                                    message: '<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "validationDeadlineDeliveryDateMessage") %>',
                                    callback: function(value) {
                                        var deadline = new Date(value);
                                        return Date.now() <= deadline;
                                    }
                                },
                                notEmpty: {
                                    message: '<%=TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "validationEmptyDeliveryDateMessage") %>'
                                }
                            }
                        },
                        <%=tbPoReference.ID%>: {
                            validators: {
                                stringLength: {
                                    message: '<%=string.Format(TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "validationPoReferenceLengthMessage"), MaxPoReferenceLength) %>',
                                    max: '<%=MaxPoReferenceLength%>'
                                }
                            }
                        },
                        <%=tbBriefing.ID%>: {
                            validators: {
                                stringLength: {
                                    message: '<%=string.Format(TranslationDictionary.Lookup(TranslationDictionaryDomain.ShowBasket, "validationBriefingLengthMessage"), MaxBriefingLength) %>',
                                    max: '<%=MaxBriefingLength%>'
                                }
                            }
                        }

                    }
                }).on('success.field.fv', function (e, data) {
                    data.fv.disableSubmitButtons(false);
                            
                    if (data.fv.getInvalidFields().length > 0) {    // There is invalid field
                    }
                }).on('err.field.fv', function (e, data) {
                    data.fv.disableSubmitButtons(false);
                });
            });
        </script>
    </form>
</body>
</html>
